Bug 233755 - Enable NavigationPreloadManager by default
Summary: Enable NavigationPreloadManager by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-02 01:42 PST by youenn fablet
Modified: 2021-12-06 00:13 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.27 KB, patch)
2021-12-02 01:43 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-12-02 01:42:12 PST
Enable NavigationPreloadManager by default
Comment 1 youenn fablet 2021-12-02 01:43:33 PST
Created attachment 445692 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-12-03 05:14:05 PST
<rdar://problem/86014395>
Comment 3 Chris Dumez 2021-12-03 07:21:24 PST
Comment on attachment 445692 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=445692&action=review

> Source/WTF/Scripts/Preferences/WebPreferencesExperimental.yaml:1268
> +      default: true

I am curious, what is the purpose to turn it on in WebCore? Why doesn't turning it on for WebKit suffice?
Comment 4 youenn fablet 2021-12-05 23:49:19 PST
Comment on attachment 445692 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=445692&action=review

>> Source/WTF/Scripts/Preferences/WebPreferencesExperimental.yaml:1268
>> +      default: true
> 
> I am curious, what is the purpose to turn it on in WebCore? Why doesn't turning it on for WebKit suffice?

It is not needed but it seems the default WebCore value should be aligned with the default WebCore user, a.k.a. WebKit.
Comment 5 EWS 2021-12-06 00:13:12 PST
Committed r286540 (244872@main): <https://commits.webkit.org/244872@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445692 [details].